/*
 * kmtailview.h
 *
 * Copyright (C) 2007 %{AUTHOR} <%{EMAIL}>
 */
#ifndef KMTAILVIEW_H
#define KMTAILVIEW_H

#include <QtGui/QWidget>
#include <qtoolbutton.h>
#include <qtreewidget.h>
#include <ktabwidget.h>
#include <kpushbutton.h>

class KUrl;

/**
 * This is the main view class for KmTail.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * @short Main view
 * @author %{AUTHOR} <%{EMAIL}>
 * @version %{VERSION}
 */

class KmTailView : public KTabWidget
{
    Q_OBJECT
public:
    /**
     * Default constructor
     */
    KmTailView(QWidget *parent);

    /**
     * Destructor
     */
    virtual ~KmTailView();
		
		QTabBar* locTabBar() const;	
		
		QToolButton* openTB; 
		QToolButton* closeTB; 
};

#endif // KmTailVIEW_H
